
#if !defined(EC_BUFFER_H)
#define EC_BUFFER_H

extern int Buffer_Get(int bufferID, void *data, short size);   // use it like read()
extern int Buffer_Put(int bufferID, void *data, short size);   // use it like write()
extern int Buffer_Create(int len);                             // creates the shared buffer
extern void Buffer_Flush(int ID);                              // flush it

extern int ConnBuffer_Get(char *buf, void *data, int size);
extern int ConnBuffer_Put(char *buf, void *data, int size);
extern char *ConnBuffer_Create(int len);
extern void ConnBuffer_Destroy(char *buf);
extern void ConnBuffer_Flush(char *buf);

#endif

/* EOF */




// vim:ts=3:expandtab

